/*******************************************************************************
* File Name: utils.c
*
* Version: 1.0
*
* Description:
*  This is source code library for the data sheet example project of the
*  Real Time Clock (RTC) component.
*
* Note:
*******************************************************************************/

#include "utils.h"
#include <device.h>


/*******************************************************************************
* Function Name: PrintDecNumber
********************************************************************************
* Summary:
*  Prints decimal value of the number at a specified row and column of
*  LCD character display named LCD.
*
* Parameters:
*  uint8 num - Number to be printed.
*  uint8 row - Display row where to print.
*  uint8 col - Display column where to print.
*
* Return:
*  None.
*
*******************************************************************************/
void PrintDecNumber(uint8 num, uint8 row, uint8 col) CYREENTRANT
{
    uint8 tmp1 = 0;
    uint8 tmp10 = 0;
    LCD_Position(row, col + 1);

    tmp1 = num % 10;
    LCD_PutChar(tmp1 + 0x30u);

    tmp10 = num / 10;

    LCD_Position(row, col);
    LCD_PutChar(tmp10 + 0x30u);
}


/* [] END OF FILE */
